Navboxes look bad in Mobile
Closed, ResolvedPublic

Description

We've gotten a few complaints about pages like https://en.m.wikipedia.org/wiki/Dunning-Kruger_effect looking bad on mobile due to giant vertical navboxes. Horizontal navboxes look even worse, but are usually hidden in the External links or References section, so people don't see them as often. Either navboxes should be significantly redesigned for mobile use, or they should be hidden in the mobile view (similar to how they are already hidden for the print version of articles).


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz53437.
kaldari created this task.Via LegacyAug 27 2013, 11:31 PM
bzimport added a comment.Via ConduitAug 28 2013, 5:13 PM

mgrover wrote:

In progress just waiting for feedback.

kaldari added a comment.Via ConduitAug 28 2013, 5:28 PM

Specifically, Jon implemented a temporary hack for en.wiki:
https://en.wikipedia.org/w/index.php?title=MediaWiki%3AMobile.css&diff=570464813&oldid=570426583

We're waiting to see what community reaction is (if any) before implementing a more permanent solution.

gerritbot added a comment.Via ConduitSep 6 2013, 9:28 PM

Change 83135 had a related patch set uploaded by Kaldari:
Hide nav boxes on small displays

https://gerrit.wikimedia.org/r/83135

gerritbot added a comment.Via ConduitSep 6 2013, 11:12 PM

Change 83135 merged by jenkins-bot:
Hide nav boxes on small displays

https://gerrit.wikimedia.org/r/83135

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.